summaryrefslogtreecommitdiff
path: root/t/parallel-tests-dry-run-2.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/parallel-tests-dry-run-2.sh')
-rwxr-xr-xt/parallel-tests-dry-run-2.sh22
1 files changed, 10 insertions, 12 deletions
diff --git a/t/parallel-tests-dry-run-2.sh b/t/parallel-tests-dry-run-2.sh
index f3ce42ea4..940cab29f 100755
--- a/t/parallel-tests-dry-run-2.sh
+++ b/t/parallel-tests-dry-run-2.sh
@@ -17,7 +17,7 @@
# Check interactions between the parallel test harness and "make -n".
# See also sister test 'parallel-tests-dry-run-1.test'.
-. ./defs || Exit 1
+. ./defs || exit 1
cat >> configure.ac << 'END'
AC_OUTPUT
@@ -37,11 +37,11 @@ $AUTOCONF
make_n_ ()
{
st=0
- $MAKE -n "$@" >output 2>&1 || { cat output; ls -l; Exit 1; }
+ $MAKE -n "$@" >output 2>&1 || { cat output; ls -l; exit 1; }
cat output
# Look out for possible errors from common tools used by recipes.
- $EGREP -i ' (exist|permission|denied|no .*(such|file))' output && Exit 1
- $EGREP '(mv|cp|rm|cat|grep|sed|awk): ' output && Exit 1
+ $EGREP -i ' (exist|permission|denied|no .*(such|file))' output && exit 1
+ $EGREP '(mv|cp|rm|cat|grep|sed|awk): ' output && exit 1
:
}
@@ -57,11 +57,10 @@ for target in check recheck test-suite.log; do
test ! -f test-suite.log
done
-# Creative quoting below to please maintainer-check.
-echo exit '0' > foo.test
-echo exit '1' > bar.test
+echo 'exit 0' > foo.test
+echo 'exit 1' > bar.test
-$MAKE check && Exit 1
+$MAKE check && exit 1
chmod a-w .
@@ -71,17 +70,16 @@ test -f foo.trs
test -f foo.log
test -f bar.trs
-# Creative quoting below to please maintainer-check.
cat > foo.test <<END
echo this is bad
exit 1
END
-echo exit '0' > bar.test
+echo 'exit 0' > bar.test
for target in check recheck test-suite.log; do
make_n_ $target
grep '^:test-result: *FAIL' bar.trs
- grep 'this is bad' foo.log test-suite.log && Exit 1
+ grep 'this is bad' foo.log test-suite.log && exit 1
: For shells with busted 'set -e'.
done
@@ -92,7 +90,7 @@ else
for target in check recheck test-suite.log; do
make_n_ $target
for f in $files; do
- test -f $f && test ! -r $f || Exit 1
+ test -f $f && test ! -r $f || exit 1
done
done
fi